import request from '@/utils/request'

// 查询维修知识库列表
export function listKnowledgeRepair(query) {
  return request({
    url: '/dms/knowledgeRepair/list',
    method: 'get',
    params: query
  })
}

// 查询维修知识库详细
export function getKnowledgeRepair(knowledgeRepairId) {
  return request({
    url: '/dms/knowledgeRepair/' + knowledgeRepairId,
    method: 'get'
  })
}

// 新增维修知识库
export function addKnowledgeRepair(data) {
  return request({
    url: '/dms/knowledgeRepair',
    method: 'post',
    data: data
  })
}

// 修改维修知识库
export function updateKnowledgeRepair(data) {
  return request({
    url: '/dms/knowledgeRepair',
    method: 'put',
    data: data
  })
}

// 删除维修知识库
export function delKnowledgeRepair(knowledgeRepairId) {
  return request({
    url: '/dms/knowledgeRepair/' + knowledgeRepairId,
    method: 'delete'
  })
}
